Obtener operaciones SGR
curl --request GET \
--url https://api.pruff.com/api/clients/sgr/operations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pruff.com/api/clients/sgr/operations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pruff.com/api/clients/sgr/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/sgr/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/sgr/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pruff.com/api/clients/sgr/operations")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/sgr/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1532,
"folio": 4821,
"type": "faithful-compliance",
"status": "ACTIVE",
"businessIdentifier": "76111111-6",
"businessName": "Constructora Ejemplo SpA",
"quotedAmount": 1500,
"quotedCurrency": "UF",
"fixedAmount": 58500000,
"fixedAmountCurrency": "CLP",
"conversionRate": 39000,
"fixingDate": "2026-09-02T13:00:00.000Z",
"fogape": null,
"tenderId": "1234-56-LR26",
"principalRut": "99999999-9",
"quoteDate": "2026-09-01T14:00:00.000Z",
"issuedDate": "2026-09-03T15:00:00.000Z",
"startDate": "2026-09-03T03:00:00.000Z",
"endDate": "2027-03-03T03:00:00.000Z",
"lostReason": null,
"lostDate": null,
"claimDate": null,
"cancelDate": null,
"inactiveDate": null,
"createdAt": "2026-09-01T14:00:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"pageSize": 10,
"totalPages": 1
}
}SGR
Obtener operaciones SGR
Obtiene las operaciones SGR (garantías) de tu empresa, en todos sus estados: desde leads y cotizaciones hasta garantías vigentes, reclamadas, canceladas o perdidas. Usa status para acotar a los estados que te interesen.
Los filtros se combinan con una condición “y”. startDate y endDate filtran por fecha de creación de la operación, son días en hora de Chile y el día de término se incluye completo.
Los registros vienen ordenados desde la operación creada más recientemente. El servicio está paginado y el tamaño máximo de página es 100 (distinto del resto de los endpoints de CRM). Cualquier query param que no esté en esta lista responde un error 400.
GET
/
sgr
/
operations
Obtener operaciones SGR
curl --request GET \
--url https://api.pruff.com/api/clients/sgr/operations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pruff.com/api/clients/sgr/operations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pruff.com/api/clients/sgr/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/sgr/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/sgr/operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pruff.com/api/clients/sgr/operations")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/sgr/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1532,
"folio": 4821,
"type": "faithful-compliance",
"status": "ACTIVE",
"businessIdentifier": "76111111-6",
"businessName": "Constructora Ejemplo SpA",
"quotedAmount": 1500,
"quotedCurrency": "UF",
"fixedAmount": 58500000,
"fixedAmountCurrency": "CLP",
"conversionRate": 39000,
"fixingDate": "2026-09-02T13:00:00.000Z",
"fogape": null,
"tenderId": "1234-56-LR26",
"principalRut": "99999999-9",
"quoteDate": "2026-09-01T14:00:00.000Z",
"issuedDate": "2026-09-03T15:00:00.000Z",
"startDate": "2026-09-03T03:00:00.000Z",
"endDate": "2027-03-03T03:00:00.000Z",
"lostReason": null,
"lostDate": null,
"claimDate": null,
"cancelDate": null,
"inactiveDate": null,
"createdAt": "2026-09-01T14:00:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"pageSize": 10,
"totalPages": 1
}
}